/*

  Name: Assert() Function Library for PureBasic 
  Author: Florian -FloHimself- Schfer (FloHimself@web.de)
  Version: 1.0
  Date: 03.02.05 22:38

*/


#ifndef DEBUGGERMODULE_C
#define DEBUGGERMODULE_C

#include "debuggermodule.h"

void SendDebuggerError(char *Text)
{
	if (PB_DEBUGGER_ErrorDescription == 0)
	{
		PB_DEBUGGER_ErrorDescription = Text;
		PB_DEBUGGER_Control = 2; // Halt the PureBasic program flow...
		SendMessage(PB_DEBUGGER_Window, WM_COMMAND, 6, 1);

	}
}

#endif /* DEBUGGERMODULE_C */

