/*

  Name: Assert() Function Library for PureBasic 
  Author: Florian -FloHimself- Schfer (FloHimself@web.de)
  Version: 1.0
  Date: 03.02.05 22:38

*/


#ifndef PB_ASSERT_DEBUG_C
#define PB_ASSERT_DEBUG_C

#include "Defs.h"
#include "DebuggerModule.h"

extern HINSTANCE PB_Instance;
// PureBasic variables defined in a debug executable

PBDEBUG PB_Assert_DEBUG (int ValueToTest)
{
	if (!ValueToTest)
	   SendDebuggerError ("Argument to Assert() is NULL!");
}

PBDEBUG PB_Assert2_DEBUG (int ValueToTest, char *ErrorMessage)
{
	if (!ValueToTest)
	   SendDebuggerError (ErrorMessage);
}

PBDEBUG PB_AssertF_DEBUG (float ValueToTest)
{
	if (!ValueToTest)
	   SendDebuggerError ("Argument to Assert() is NULL!");
}

PBDEBUG PB_AssertF2_DEBUG (float ValueToTest, char *ErrorMessage)
{
	if (!ValueToTest)
	   SendDebuggerError (ErrorMessage);
}

#endif /* PB_ASSERT_DEBUG_C */
